Subject: Re: [PATCH 3/3] netfilter: ipv6: add getsockopt to retrieve origdst

From: Florian Westphal <[email-masked]>
Date: Tue, 13 Nov 2012 09:59:30 +0100

YOSHIFUJI Hideaki <[email-masked]> wrote:
> [email-masked] wrote:
> > From: Florian Westphal <[email-masked]>
> > +	sin6.sin6_scope_id = sk->sk_bound_dev_if;
> > +
> > +	nf_ct_put(ct);
> > +	return copy_to_user(user, &sin6, sizeof(sin6)) ? -EFAULT : 0;
> > +}
> > +
> 
> I think we should set sin6_scope_id to sk->sk_bound_dev_if only if the
> destination is link-local address.

Right, I see that getpeer/sockname has this test.

Dave, please either apply the patch as is (I'd submit a fixup)
or discard i, I'll then send a V2 with added
ipv6_addr_type(&sin->sin6_addr) & IPV6_ADDR_LINKLOCAL
test to Pablo.

Thanks for reviewing.